/*------------------------------------*\
  #shop step 1.
\*------------------------------------*/
.order_flow{
	p{
		font-weight: bold;
		letter-spacing: 1px;
		&:nth-child(1){
			font-size:16px;
		}
		&:nth-child(n+2){
			margin:0px;
			padding:10px 10px 10px 20px;
			border-left: 5px solid #cacaca;
			color:#cacaca;
		}
		&.active {
			// margin-top:30px;
			border-left-color:black;
			color: black;
		}
		&:nth-child(4){
			margin-bottom:30px;
		}
	}
}
.shopCart_menu{
	overflow:auto;
	
	p{
		float:left;
		color:#cacaca;
		
		padding-bottom:30px;
		border-bottom: 1px solid #cacaca;
		
		&:nth-child(1){
			width:100%;
			a{
				color:black;
				font-weight:bold;
				span{
					color:black;
				}
			} 
		}
		&:nth-child(2){
			width:70%;
			a{
				color:#cacaca;
				font-weight:bold;
				span{
					color:#cacaca;
				}
			}
		}
	}
}

.shopCart_item{
	margin-top:15px;
	.row{
		overflow:auto;
		&:nth-child(2){
			border-bottom: 1px solid #cacaca;
		}
		img{
			float:left;
			width:40%;
		}
		div{
			float:left;
			width:60%;
			padding-left:15px;
			font-weight:bold;
			.shopCart_activity{
				color:$main_color;
				margin-top:30px;
				font-weight:bold;
			}
		}
		.item_detail{
			width:16%;
			text-align:center;
			margin-bottom:10px;
			p{
				font-weight:bold;
			}
			.shopCart_del a{
				min-height: auto;
    			height: 20px;
    			background-position: 73% 76%;
			}
			select{
				width:100%;
				height:35px;
				line-height: 35px;
				border: 1px solid #cacaca;
				border-radius:5px;
				background-color: #FFF;
				margin-top:-20px;
				padding:0px;
				padding-left:35%;
				outline:none;
				// 清除預設樣式
				appearance:none;
			}			
		}
		.return_result {
			select {
				width: 100%;
		        height: 35px;
		        line-height: 35px;
		        border: 1px solid #cacaca;
		        border-radius: 5px;
		        background-color: #FFF;
		        margin-top: -20px;
		        padding: 0px;
		        padding-left: 15%;
		        outline: none;
		        -webkit-appearance: none;
		           -moz-appearance: none;
		                appearance: none;
			}
		}
		.return_detail{ /*新增一個class, class以下的設定仿.item_detai*/
			width:20%;
			text-align:center;
			margin-bottom:10px;
			p{
				font-weight:bold;
			}
			.shopCart_del a{
				min-height: auto;
    			height: 20px;
    			background-position: 73% 76%;
			}
			select{
				width:100%;
				height:35px;
				line-height: 35px;
				border: 1px solid #cacaca;
				border-radius:5px;
				background-color: #FFF;
				margin-top:-20px;
				padding:0px;
				padding-left:35%;
				outline:none;
				// 清除預設樣式
				appearance:none;
			}		
		}
		.shopCart_soldOut{
			&:before{
				display: block;
			    content: "";
			    clear: left;
			}
			text-align: center;
		}
	}
}

.count_item{
	margin-top:30px;
	.row{
		overflow: auto;
		p:nth-child(n){
			float: left;
			width:50%;
			margin: 3px auto;
		}
		p:nth-child(2){
			text-align: right;
		}
	}
	.count_total{
		margin: 10px auto;
		font-weight: bold;
		p{
			color: $main_color;
			
		}
	}
	
	
}
.frame {
	.count_activity{
		border: 2px solid #cacaca;
		text-align: center;
		
		p{
			font-size: 10px;
			&:nth-child(1){
				color: #cacaca;
			} 
		}
	}
	.count_gift{
		margin: 20px auto;
		display:flex; 
		flex-direction: row;
		align-items:center;
		justify-content: center;
		p, span{
			display: block;
			color: $main_color;
		}
		span{
			background-position: 50.5% 96%;
			background-size: 530%;
			min-height: auto;
			width: 50px;
			height: 40px;
			color: #FFF;
			line-height: 50px;
			text-align: center;
			margin-bottom: 9px;
		}
	}
}